For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • POSTRetrieve a list of enabled authentication providers that can be used to activate an invited user.
      • GETRetrieve a list of configured authentication providers
      • POSTCreate a authentication provider configuration
      • GETGet authentication provider by ID
      • PATCHGet authentication provider by ID
  • Transaction API
  • Event API
LoginSandbox
Identity APIAuthentication Providers

Create a authentication provider configuration

POST
/v:version/authentication-providers
POST
/v:version/authentication-providers
$curl -X POST https://test.api.solvimon.com/v1/authentication-providers \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "DEFAULT"
>}'
1{
2 "id": "string",
3 "entity_id": "string",
4 "type": "DEFAULT",
5 "name": "string",
6 "status": "ENABLED",
7 "sso": {
8 "variant": "GOOGLE",
9 "allowed_domains": [
10 "string"
11 ],
12 "okta": {
13 "connection": "string"
14 },
15 "microsoft": {
16 "connection": "string"
17 }
18 }
19}
Was this page helpful?
Previous

Get authentication provider by ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
typeenumRequired
Allowed values:
namestringOptionalformat: "^.*$"0-256 characters
statusenumOptional
Allowed values:
ssoobjectOptional

Response

Created
idstring or nullRead-only
entity_idstring or nullRead-only
typeenum
Allowed values:
namestringformat: "^.*$"0-256 characters
statusenum
Allowed values:
ssoobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error